# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/share/info
mandir = ${prefix}/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/fox
pkglibdir = $(libdir)/fox
pkgincludedir = $(includedir)/fox

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-cygwin
AR = ar
AS = @AS@
CC = gcc
CPP = gcc -E
CXX = g++
CXXCPP = g++ -E
DLLTOOL = @DLLTOOL@
DSYMUTIL = 
ECHO = echo
EGREP = /usr/bin/grep -E
EXEEXT = .exe
F77 = 
FOX_BYTEORDER = 0
FOX_MAJOR_VERSION = 1
FOX_MINOR_VERSION = 6
FOX_PATCH_LEVEL = 36
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GL_LIBS = 
GL_TESTS = gltest.exe glviewer.exe
HAVE_LIB = @HAVE_LIB@
LIB = @LIB@
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIB = @LTLIB@
LT_AGE = 0
LT_CURRENT = 0
LT_RELEASE = 1.6
LT_REVISION = 36
MAKEINFO = makeinfo
NMEDIT = 
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = fox
RANLIB = ranlib
RC = @RC@
SED = /usr/bin/sed
STRIP = strip
VERSION = 1.6.36
X_BASE_LIBS =  -lXcursor -lXrandr

CXXFLAGS = -g -O2 -DHAVE_XSHAPE_H=1 -DHAVE_XSHM_H=1 -DFOX_THREAD_SAFE=1 -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_GNU_SOURCE -DHAVE_JPEG_H=1 -DHAVE_PNG_H=1 -DHAVE_TIFF_H=1 -DHAVE_ZLIB_H=1 -DHAVE_BZ2LIB_H=1 -DHAVE_XCURSOR_H=1 -DHAVE_XRANDR_H=1 -DNO_XIM -Wall -W -Woverloaded-virtual -Wformat -DHAVE_GLU_H=1 -DHAVE_GL_H=1 
INCLUDES = -I$(top_srcdir)/include -I$(top_builddir)/include
RESWRAP = $(top_builddir)/utils/reswrap
SUFFIXES = .gif .bmp
LDADD = $(top_builddir)/src/libFOX-1.6.la -lm

bin_PROGRAMS = adie

bin_SCRIPTS = Adie.stx

man_MANS = adie.1

ICONS =  adie_gif.gif big_gif.gif bookdel_gif.gif booknext_gif.gif bookprev_gif.gif bookset_gif.gif close_gif.gif colors_gif.gif copy_gif.gif cut_gif.gif delete_gif.gif delimit_gif.gif fonts_gif.gif help_gif.gif indent_gif.gif info_gif.gif lang_gif.gif new_gif.gif open_gif.gif palette_gif.gif pattern_gif.gif paste_gif.gif print_gif.gif quit_gif.gif redo_gif.gif reload_gif.gif saveall_gif.gif saveas_gif.gif save_gif.gif search_gif.gif searchnext_gif.gif searchprev_gif.gif shiftleft_gif.gif shiftright_gif.gif small_gif.gif styles_gif.gif syntax_gif.gif undo_gif.gif


adie_SOURCES =  Adie.h Adie.cpp Commands.cpp Commands.h help.h help.cpp HelpWindow.h HelpWindow.cpp Hilite.h Hilite.cpp icons.h icons.cpp main.cpp parsesyntax.cpp Preferences.h Preferences.cpp TextWindow.h TextWindow.cpp LICENSE $(ICONS)


CLEANFILES = icons.h icons.cpp

EXTRA_DIST =  $(man_MANS) Adie.stx Makefile.bc Makefile.wc Makefile.dmc

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
bin_PROGRAMS =  adie$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"fox\" -DVERSION=\"1.6.36\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_DIRENT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_SYS_SELECT_H=1 -DWIN32=1 -DUNICODE=1 -DHAVE_X11_EXTENSIONS_SHAPE_H=1 -DHAVE_X11_EXTENSIONS_XSHM_H=1 -DHAVE_PNG_H=1 -DHAVE_TIFF_H=1 -DHAVE_ZLIB_H=1 -DHAVE_BZLIB_H=1 -DHAVE_X11_XCURSOR_XCURSOR_H=1 -DHAVE_X11_EXTENSIONS_XRANDR_H=1 -DHAVE_VSSCANF=1 -DHAVE_VSNPRINTF=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_LIBDL=1 -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS =  -mwindows -e _mainCRTStartup
LIBS = -ldl  -lcomctl32 -lwsock32 -lwinspool -lmpr -lgdi32 -lpthread -lrt -ljpeg -lpng -ltiff -lz -lbz2 -lm -lglu32 -lopengl32
X_CFLAGS = 
X_LIBS = 
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
adie_OBJECTS =  Adie.$(OBJEXT) Commands.$(OBJEXT) help.$(OBJEXT) \
HelpWindow.$(OBJEXT) Hilite.$(OBJEXT) icons.$(OBJEXT) main.$(OBJEXT) \
parsesyntax.$(OBJEXT) Preferences.$(OBJEXT) TextWindow.$(OBJEXT)
adie_LDADD = $(LDADD)
adie_DEPENDENCIES =  $(top_builddir)/src/libFOX-1.6.la
adie_LDFLAGS = 
SCRIPTS =  $(bin_SCRIPTS)

CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(adie_SOURCES)
OBJECTS = $(adie_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .bmp .c .cpp .gif .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps adie/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

adie$(EXEEXT): $(adie_OBJECTS) $(adie_DEPENDENCIES)
	@rm -f adie$(EXEEXT)
	$(CXXLINK) $(adie_LDFLAGS) $(adie_OBJECTS) $(adie_LDADD) $(LIBS)

install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_SCRIPTS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = adie

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
Adie.o: Adie.cpp ../include/fx.h ../include/fxver.h ../include/fxdefs.h \
	../include/fxascii.h ../include/fxunicode.h ../include/FXHash.h \
	../include/FXException.h ../include/FXThread.h \
	../include/FXStream.h ../include/FXIO.h ../include/FXFile.h \
	../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h \
	../include/fxkeys.h ../include/FXRex.h ../include/FXArray.h \
	../include/FXElement.h HelpWindow.h Preferences.h Commands.h \
	Hilite.h TextWindow.h Adie.h icons.h
Commands.o: Commands.cpp ../include/fx.h ../include/fxver.h \
	../include/fxdefs.h ../include/fxascii.h ../include/fxunicode.h \
	../include/FXHash.h ../include/FXException.h \
	../include/FXThread.h ../include/FXStream.h ../include/FXIO.h \
	../include/FXFile.h ../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h \
	Commands.h ../include/FXRex.h ../include/FXArray.h \
	../include/FXElement.h Hilite.h TextWindow.h Adie.h
help.o: help.cpp help.h
HelpWindow.o: HelpWindow.cpp ../include/fx.h ../include/fxver.h \
	../include/fxdefs.h ../include/fxascii.h ../include/fxunicode.h \
	../include/FXHash.h ../include/FXException.h \
	../include/FXThread.h ../include/FXStream.h ../include/FXIO.h \
	../include/FXFile.h ../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h icons.h \
	help.h Preferences.h Commands.h ../include/FXRex.h \
	../include/FXArray.h ../include/FXElement.h Hilite.h \
	TextWindow.h Adie.h HelpWindow.h
Hilite.o: Hilite.cpp ../include/fx.h ../include/fxver.h \
	../include/fxdefs.h ../include/fxascii.h ../include/fxunicode.h \
	../include/FXHash.h ../include/FXException.h \
	../include/FXThread.h ../include/FXStream.h ../include/FXIO.h \
	../include/FXFile.h ../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h \
	../include/FXRex.h ../include/FXArray.h ../include/FXElement.h \
	Hilite.h
icons.o: icons.cpp
main.o: main.cpp ../include/fx.h ../include/fxver.h ../include/fxdefs.h \
	../include/fxascii.h ../include/fxunicode.h ../include/FXHash.h \
	../include/FXException.h ../include/FXThread.h \
	../include/FXStream.h ../include/FXIO.h ../include/FXFile.h \
	../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h \
	../include/FXRex.h ../include/FXArray.h ../include/FXElement.h \
	Hilite.h TextWindow.h Adie.h icons.h
parsesyntax.o: parsesyntax.cpp ../include/fx.h ../include/fxver.h \
	../include/fxdefs.h ../include/fxascii.h ../include/fxunicode.h \
	../include/FXHash.h ../include/FXException.h \
	../include/FXThread.h ../include/FXStream.h ../include/FXIO.h \
	../include/FXFile.h ../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h \
	../include/FXRex.h ../include/FXArray.h ../include/FXElement.h \
	Hilite.h Commands.h TextWindow.h Adie.h
Preferences.o: Preferences.cpp ../include/fx.h ../include/fxver.h \
	../include/fxdefs.h ../include/fxascii.h ../include/fxunicode.h \
	../include/FXHash.h ../include/FXException.h \
	../include/FXThread.h ../include/FXStream.h ../include/FXIO.h \
	../include/FXFile.h ../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h icons.h \
	help.h ../include/FXRex.h ../include/FXArray.h \
	../include/FXElement.h Preferences.h Hilite.h TextWindow.h \
	Adie.h
TextWindow.o: TextWindow.cpp ../include/fx.h ../include/fxver.h \
	../include/fxdefs.h ../include/fxascii.h ../include/fxunicode.h \
	../include/FXHash.h ../include/FXException.h \
	../include/FXThread.h ../include/FXStream.h ../include/FXIO.h \
	../include/FXFile.h ../include/FXPipe.h ../include/FXSocket.h \
	../include/FXFileStream.h ../include/FXMemoryStream.h \
	../include/FXString.h ../include/FXSize.h ../include/FXPoint.h \
	../include/FXRectangle.h ../include/FXObject.h \
	../include/FXDelegator.h ../include/FXDict.h \
	../include/FXPath.h ../include/FXSystem.h ../include/FXStat.h \
	../include/FXDir.h ../include/FXDate.h ../include/FXURL.h \
	../include/FXStringDict.h ../include/FXSettings.h \
	../include/FXRegistry.h ../include/FXObjectList.h \
	../include/FXAccelTable.h ../include/FXRecentFiles.h \
	../include/FXApp.h ../include/FXId.h ../include/FXVisual.h \
	../include/FXFont.h ../include/FXCursor.h \
	../include/FXGUISignal.h ../include/FXCURCursor.h \
	../include/FXGIFCursor.h ../include/FXDrawable.h \
	../include/FXBitmap.h ../include/FXImage.h ../include/FXIcon.h \
	../include/FXGIFImage.h ../include/FXIFFImage.h \
	../include/FXBMPImage.h ../include/FXICOImage.h \
	../include/FXXBMImage.h ../include/FXXPMImage.h \
	../include/FXPCXImage.h ../include/FXTGAImage.h \
	../include/FXRGBImage.h ../include/FXPPMImage.h \
	../include/FXRASImage.h ../include/FXGIFIcon.h \
	../include/FXIFFIcon.h ../include/FXBMPIcon.h \
	../include/FXICOIcon.h ../include/FXXBMIcon.h \
	../include/FXXPMIcon.h ../include/FXPCXIcon.h \
	../include/FXTGAIcon.h ../include/FXRGBIcon.h \
	../include/FXPPMIcon.h ../include/FXRASIcon.h \
	../include/FXRegion.h ../include/FXDC.h ../include/FXDCWindow.h \
	../include/FXDCPrint.h ../include/FXIconSource.h \
	../include/FXIconDict.h ../include/FXFileDict.h \
	../include/FXWindow.h ../include/FXFrame.h \
	../include/FXSeparator.h ../include/FXLabel.h \
	../include/FX7Segment.h ../include/FXDial.h ../include/FXKnob.h \
	../include/FXColorBar.h ../include/FXColorRing.h \
	../include/FXColorWell.h ../include/FXColorWheel.h \
	../include/FXTextField.h ../include/FXButton.h \
	../include/FXPicker.h ../include/FXToggleButton.h \
	../include/FXTriStateButton.h ../include/FXCheckButton.h \
	../include/FXRadioButton.h ../include/FXArrowButton.h \
	../include/FXMenuButton.h ../include/FXComposite.h \
	../include/FXPacker.h ../include/FXHorizontalFrame.h \
	../include/FXVerticalFrame.h ../include/FXSpring.h \
	../include/FXMatrix.h ../include/FXSpinner.h \
	../include/FXRealSpinner.h ../include/FXRootWindow.h \
	../include/FXCanvas.h ../include/FXGroupBox.h \
	../include/FXShell.h ../include/FXToolTip.h \
	../include/FXPopup.h ../include/FXTopWindow.h \
	../include/FXDialogBox.h ../include/FXMainWindow.h \
	../include/FXMenuPane.h ../include/FXScrollPane.h \
	../include/FXMenuCaption.h ../include/FXMenuSeparator.h \
	../include/FXMenuTitle.h ../include/FXMenuCascade.h \
	../include/FXMenuCommand.h ../include/FXMenuCheck.h \
	../include/FXMenuRadio.h ../include/FXMenuBar.h \
	../include/FXToolBar.h ../include/FXDockBar.h \
	../include/FXOptionMenu.h ../include/FXSwitcher.h \
	../include/FXTabBar.h ../include/FXTabBook.h \
	../include/FXTabItem.h ../include/FXScrollBar.h \
	../include/FXScrollArea.h ../include/FXScrollWindow.h \
	../include/FXList.h ../include/FXComboBox.h \
	../include/FXListBox.h ../include/FXTreeList.h \
	../include/FXTreeListBox.h ../include/FXFoldingList.h \
	../include/FXBitmapView.h ../include/FXBitmapFrame.h \
	../include/FXImageView.h ../include/FXImageFrame.h \
	../include/FXTable.h ../include/FXDragCorner.h \
	../include/FXStatusBar.h ../include/FXStatusLine.h \
	../include/FXChoiceBox.h ../include/FXMessageBox.h \
	../include/FXDirList.h ../include/FXSlider.h \
	../include/FXRealSlider.h ../include/FXSplitter.h \
	../include/FX4Splitter.h ../include/FXHeader.h \
	../include/FXShutter.h ../include/FXIconList.h \
	../include/FXFileList.h ../include/FXDirBox.h \
	../include/FXDriveBox.h ../include/FXDirSelector.h \
	../include/FXDirDialog.h ../include/FXFileSelector.h \
	../include/FXFileDialog.h ../include/FXColorSelector.h \
	../include/FXColorDialog.h ../include/FXFontSelector.h \
	../include/FXFontDialog.h ../include/FXUndoList.h \
	../include/FXRex.h ../include/FXText.h \
	../include/FXDataTarget.h ../include/FXProgressBar.h \
	../include/FXReplaceDialog.h ../include/FXRuler.h \
	../include/FXRulerView.h ../include/FXSearchDialog.h \
	../include/FXInputDialog.h ../include/FXProgressDialog.h \
	../include/FXWizard.h ../include/FXMDIButton.h \
	../include/FXMDIClient.h ../include/FXMDIChild.h \
	../include/FXDocument.h ../include/FXDockSite.h \
	../include/FXDockHandler.h ../include/FXDockTitle.h \
	../include/FXToolBarGrip.h ../include/FXToolBarShell.h \
	../include/FXToolBarTab.h ../include/FXPrintDialog.h \
	../include/FXDebugTarget.h ../include/FXSplashWindow.h \
	../include/fxkeys.h ../include/FXRex.h ../include/FXArray.h \
	../include/FXElement.h HelpWindow.h Preferences.h Commands.h \
	Hilite.h TextWindow.h Adie.h icons.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS install-binSCRIPTS
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(mandir)/man1


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-libtool \
		distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool uninstall-binSCRIPTS \
install-binSCRIPTS install-man1 uninstall-man1 install-man \
uninstall-man tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


Adie.cpp: icons.h icons.cpp

icons.h: $(ICONS)
	$(RESWRAP) -i -o icons.h $^

icons.cpp: $(ICONS)
	$(RESWRAP) -e -o icons.cpp $^

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
